//$Id: RestrictionApply.java 2008-6-9 下午09:27:42 chaostone Exp $
/*
 *
 * Copyright c 2005-2009
 * Licensed under the Apache License, Version 2.0 (the "License")
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * 
 */
/********************************************************************************
 * @author chaostone
 * 
 * MODIFICATION DESCRIPTION
 * 
 * Name           Date          Description 
 * ============   ============  ============
 * chaostone      2008-6-9  Created
 *  
 ********************************************************************************/
package org.beangle.security.restriction.service;

import java.util.Collection;

import org.beangle.model.query.EntityQuery;
import org.beangle.security.restriction.Pattern;
import org.beangle.security.restriction.Restriction;

/**
 * 限制应用服务
 * 
 * @author chaostone
 * 
 */
public interface RestrictionApply {

	public void apply(EntityQuery query, Collection patterns, Collection restrictions);

	public void apply(EntityQuery query, Pattern pattern, Restriction restriction);
}
